@import url('https://fonts.googleapis.com/css2?family=Urbanist:wght@100;300;400;600;700;900&display=swap');

.navbar, .navbar-dark{
    position: fixed; 
    top: 10px; 
    width: 100%;
    display: flex;
    justify-content: space-between;
    padding: 20px 20px 0px 20px;
    box-sizing: border-box;
    z-index: 11; 
    font-size: 23px;
    font-weight: 100;
}
.navbarr, .navbarr-dark{
    position: fixed; 
    top: 10px; 
    width: 100%;
    display: flex;
    justify-content: space-between;
    padding: 20px;
    box-sizing: border-box;
    z-index: 10; 
    font-size: 23px;
    font-weight: 100;
}
.navbar a, .navbarr a {
    text-decoration: none;
    color: #fff;
    font-family: 'Urbanist', Helvetica;
    padding: 0px 15px;
}
.navbar-dark a, .navbarr-dark a{
    text-decoration: none;
    color: #443E36;
    font-family: 'Urbanist', Helvetica;
    padding: 0px 15px;
    font-weight: 300;
}
.navbar a:hover, .navbar-dark a:hover, .navbarr a:hover, .navbarr-dark a:hover{
    text-decoration: underline;
}
.logo-nav img{
    height: 31px;
    width: auto;
    padding-left: 5px;
    margin-top: -2px;
}
.shop {
    margin-top: 30px;
    margin-right: 305px;
}
.navbar img.nav-cart, .navbar-dark img.nav-cart {
    height: 18px;
    width: auto;
}




.menu-icon {
    display: none;
    cursor: pointer;
}
.menu-icon img {
    width: 35px;
    height: auto;
}
.mobile-menu, .mobile-menu-dark {
    display: none;
    flex-direction: column;
    position: fixed;
    top: 60px;
    right: 10px;
    background: transparent;
    padding: 10px;
    border-radius: 5px;
}
.mobile-menu a {
    color: #eaded1;
    text-decoration: none;
    padding: 10px;
    display: block;
}
.mobile-menu-dark a {
    color: #443E36;
    text-decoration: none;
    padding: 10px;
    display: block;
}
.footer {
    width: 100%; 
    justify-content: space-between;
    padding: 20px 30px;
    box-sizing: border-box; 
    background-color: #201e1b;
    font-size: 16px; 
    letter-spacing: 0;
    line-height: normal;
    white-space: nowrap;
}
.logo-foot img {
    height: 31px; 
    width: auto;
}
.login-overlay, .registration-overlay {
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: rgba(0, 0, 0, 0.5);
    color: #443e36;
    display: none; 
    justify-content: center;
    align-items: center;
    z-index: 20; 
}
.login-container, .registration-container { 
    background: #ebe5de; 
    color: #443e36;
    padding: 5px 25px 15px 25px;
    border-radius: 8px;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
    position: relative;
    width: 300px;   
    max-width: 90%; 
}
.comingsoon-container {
    background: #ebe5de; 
    color: #443e36;
    padding: 5px 5px 5px 50px;
    border-radius: 8px;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
    position: relative;
    width: 300px;   
    max-width: 90%; 
}
.close-btn {
    position: absolute;
    top: 15px;
    right: 20px;
    font-size: 25px;
    cursor: pointer;
}
#contact-form{
    width: 100%;
    display: flex;
    flex-direction: column;
}
#contact-form h1, .login-container h1, .registration-container h1{
    font-family: 'Urbanist', sans-serif;
    font-weight: 600;
    color: #443e36;
    font-size: 32px;
}
.form-group {
    width: 100%;
    display: flex;
    flex-direction: column;
    align-items: flex-start;
}
.form-group.row {
    flex-direction: row;
    justify-content: space-between;
    gap: 40px;
}
input, textarea {
    width: 100%; 
    padding: 10px 10px 20px 10px;
    margin: 15px 0;
    border: 2px solid #bbb5ae;
    background-color: transparent;
    box-sizing: border-box;
    font-family: 'Urbanist', sans-serif;
    font-weight: 300;
    font-size: 16px;
    color: #443E36;
}
.submit {
    padding: 10px 20px; 
    border: none;
    border-radius: 25px;
    background-color: #c35e2b;
    color: #ebe5de;
    font-size: 16;
    cursor: pointer;
    margin: 10px 0px;
}
.checkbox-wrapper {
    display: flex;
    justify-content: space-between;
}
.check{
    display: flex;
    align-items: center;
    gap: 10px;
}


@media (max-width: 768px) {
    html, body {
        max-width: 100%;
        overflow-x: hidden;
    }
    .navbar, .navbar-dark {
        flex-direction: row;
        align-items: start;
        top: 10px;
        padding: 0px;
    }
    .navbar a, .navbar-dark a {
        padding: 0px 10px 0px 0px;
    }
    .navbar img.nav-cart, .navbar-dark img.nav-cart {
        height: 17px;
        width: auto;
    }
    .logo-nav img {
        height: 17px;
        width: auto;
        padding-left: 15px;
        margin-top: -2px;
    }
    .nav-links {
        display: none; 
    }
    .mobile-menu, .mobile-menu-dark {
        top: 35px;
        right: 5px;
        padding: 5px;
        background: transparent;
        text-align: right;
    }
    .mobile-menu a, .mobile-menu-dark a{
        padding: 1px;
        display: block;
    }
    .menu-icon {
        display: block;
    }
}

